Bug 1917241 - [en_US] The tooltips of Created date time is not easy to read in all most of UIs.
Summary: [en_US] The tooltips of Created date time is not easy to read in all most of ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: 4.8.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-18 07:37 UTC by Lijun Li
Modified: 2021-07-27 22:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: UTC times were not in a human-readable format. Consequence: Poor user experience. Fix: Formatted UTC timestamps to be human-readable. Result: Bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:36:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
[en_US] The tooltips of Created date time is not easy to read in column of table list (228.50 KB, image/png)
2021-01-18 07:40 UTC, Lijun Li
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8193 0 None open Bug 1917241: Format UTC date in tooltips 2021-02-18 21:51:24 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:36:35 UTC

Description Lijun Li 2021-01-18 07:37:47 UTC
Description of problem:
[en_US] The tooltips of Created date time is not easy to read in column of table list.

Version-Release number of selected component (if applicable):
4.7.0-fc.2

How reproducible:
100%

Steps to Reproduce:
1. Login OCP management console.
2. Click Home -> Projects or Workloads -> Pods and etc.
3. Check the tooltips of date/time of Created column.

Actual results:
The tooltips of Created date time is not easy to read in column of table list.

Expected results:
The tooltips of created date/time should be easy to read and no code base.

Additional info:
Please see the attached screen-shot.

Comment 1 Lijun Li 2021-01-18 07:40:35 UTC
Created attachment 1748362 [details]
[en_US] The tooltips of Created date time is not easy to read in column of table list

Comment 2 Jakub Hadvig 2021-01-18 12:39:40 UTC
Based on the current this doesnt seems as a i18n BZ. Although there was a pretty big commit addressed thats also changing `timestamp.tsx`
https://github.com/openshift/console/commit/5464e1058c275f95a29688fbe2f5c192de0f78b7

The issue I see it, is in:
https://github.com/openshift/console/blob/master/frontend/public/components/utils/timestamp.tsx#L57
where we are converting the given date object’s contents into a string in ISO format aka. "easy to read format".

Rebecca could you please take a look, if this really is an i18n issue. Thanks

Comment 4 Samuel Padgett 2021-01-20 18:15:30 UTC
Just a quick note that this isn't related to any i18n changes. The tooltip shows the raw UTC date by design. We can look at it as a usability bug.

We have had requests to have the date available as UTC: https://github.com/openshift/console/issues/1436

Comment 5 ralpert 2021-01-22 16:57:44 UTC
Removing i18n and Translation keywords since this predates both.

Comment 6 ralpert 2021-01-22 20:58:32 UTC
Hi @lijli - I brought this up with the UX team since we're now looking at this as a usability bug. Was your concern about readability related to the font, color, etc.? Or was it based on the unexpected UTC content? Thanks!

Comment 7 Andy Braren 2021-01-22 21:26:29 UTC
I notice that the Console's tooltip font size is only 13px compared to PatternFly's 14px. If the legibility of the white text itself on its black background is the problem, increasing the font size couldn't hurt!

I see we're overriding PatternFly's default `14px` of `--pf-global--FontSize--sm` to be `13px` at the root level in our _vars.scss file. I'm sure there's a reason for that, but maybe we should reevaluate and see what happens if we switch to `14px` Console-wide.

Comment 8 Samuel Padgett 2021-01-22 21:28:09 UTC
I believe the issue is that we're showing a raw UTC date instead of a formatted date. Lijun, let me know if I'm wrong.

Comment 9 ralpert 2021-02-02 18:53:38 UTC
Hey @lijli - Would you be able to give us more info on what you're expecting? Thanks.

Comment 10 Lijun Li 2021-02-03 03:16:40 UTC
(In reply to ralpert from comment #9)
> Hey @lijli - Would you be able to give us more info on what
> you're expecting? Thanks.

Hi Rebecca, sorry reply late, I'm not concern about the font/color for the tooltips of date, and as Samuel said, please use the formatted date/time but not the raw UTC date in the tooltips.

Thanks,
Robert

Comment 12 Yanping Zhang 2021-02-25 08:58:45 UTC
Tested on ocp 4.8 cluster with payload 4.8.0-0.nightly-2021-02-24-063313. On console, check tooltips of created time on pods page, the UTC time is formatted now.
The bug is fixed.

Comment 15 errata-xmlrpc 2021-07-27 22:36:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.